View Issue Details

IDProjectCategoryView StatusLast Update
0000224FreeCADFeaturepublic2011-10-14 16:51
ReporteryorikAssigned Toyorik 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.12 
Summary0000224: Turn the Draft workplane marker into something more powerful
DescriptionWhen opening FreeCAD and drawing a line there is a nice big temporary origin/axis displayed (similar in my mind to Accudraw in MicroStation). Does this 'origin' do anything other than mark the start of the line at the moment?

What I would really like to be able to do with it is to invoke it at a point, then move a certain distance away from it before starting to draw the line. For example, I want to draw the reveal of a window and I know that it is located 700mm from the corner of the building. I would like to snap to the corner of the building, place the origin there, move 700mm away, then draw the line for the reveal of the window.

It would also be nice if it was sized relative to the window (independent of the zoom / scale of the drawing). When trying to draw a house it is too small to seen...

It would also be nice to be able to rotate it so that temporarily I could draw at an angle not orthogonal to the view. Ideally this would be 'sticky' so that it would stay rotated until I specifically told it to go back to the default orientation.

Which leads me on to my final wish... Could all tools be made 'sticky'? i.e. the line tool stays selected and ready to draw another line after I've drawn the previous one.

Sorry for the mini wish-list, they are just things that I've been thinking of as I'm trying to use FreeCAD.

NIck
Additional InformationDiscussion thread:
http://sourceforge.net/apps/phpbb/free-cad/viewtopic.php?f=3&t=725
TagsNo tags attached.

Relationships

parent of 0000202 closedyorik Add snap-to-grid functionality to the draft module 

Activities

yorik

2011-03-16 21:42

administrator   ~0000740

Also set the workplane to a face when the first point is on a face

yorik

2011-10-14 16:51

administrator   ~0001153

done in r5022:

- When drawing wires, it is now possible to draw some segments, then wipe the existing segments, restarting the wire at the last point
- The axis marker size is now relative to the view, and depends on the Draft snap aperture parameter
- Rotating the working plane is 100% handled by the working plane commands
- Drawing commands have a "continue" checkbox that allow to automatically restart the command once it has finished

Issue History

Date Modified Username Field Change
2010-12-23 16:52 yorik New Issue
2010-12-23 16:52 yorik Status new => assigned
2010-12-23 16:52 yorik Assigned To => yorik
2011-02-13 18:30 yorik Relationship added parent of 0000202
2011-03-16 21:42 yorik Note Added: 0000740
2011-10-14 16:51 yorik Note Added: 0001153
2011-10-14 16:51 yorik Status assigned => closed
2011-10-14 16:51 yorik Resolution open => fixed
2011-10-14 16:51 yorik Fixed in Version => 0.12